﻿* {
    margin: 0px;
    padding: 0px;
}

body {
    position: relative;
    padding: 40px;
    font-family: verdana;
    overflow: auto;
}

.wrapper{
    
}

#loginform {
    width: 490px;
    min-height: 190px;
    margin: 20px auto;
    box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.3);
    background-color: #f7f7f7;
}

#loginform input {
    display: block;
    margin: 0px auto 12px;
    border-radius: 3px;
    width: 85%;
    padding: 12px 20px 12px 10px;
    border: none;
    color: #333;
    box-shadow: inset 0px 1px 4px #272727;
    font-size: 0.8em;
    -webkit-transition: 0.5s ease;
    -moz-transition: 0.5s ease;
    -o-transition: 0.5s ease;
    -ms-transition: 0.5s ease;
    transition: 0.5s ease;
}

    #loginform input:focus {
        -webkit-transition: 0.5s ease;
        -moz-transition: 0.5s ease;
        -o-transition: 0.5s ease;
        -ms-transition: 0.5s ease;
        transition: 0.5s ease;
        box-shadow: 0px 0px 5px 1px #6393c1;
    }

#loginform button {
    background: #7cbc0a;
    border-radius: 50%;
    border: 10px solid rgba(255, 255, 255, .5);
    font-size: 1.2em;
    color: #fff;
    font-weight: bold;
    cursor: pointer;
    width: 85px;
    height: 85px;
    position: absolute;
    right: -42px;
    top: 54px;
    text-align: center;
    -webkit-transition: 0.5s ease;
    -moz-transition: 0.5s ease;
    -o-transition: 0.5s ease;
    -ms-transition: 0.5s ease;
    transition: 0.5s ease;
}

    #loginform button:hover {
        background: #0065A7;
        border-color: #7cbc0a;
        -webkit-transition: 0.5s ease;
        -moz-transition: 0.5s ease;
        -o-transition: 0.5s ease;
        -ms-transition: 0.5s ease;
        transition: 0.5s ease;
    }

    #loginform button i {
        font-size: 20px;
        -webkit-transition: 0.5s ease;
        -moz-transition: 0.5s ease;
        -o-transition: 0.5s ease;
        -ms-transition: 0.5s ease;
        transition: 0.5s ease;
    }

    #loginform button:hover i {
        color: #7cbc0a;
        -webkit-transition: 0.5s ease;
        -moz-transition: 0.5s ease;
        -o-transition: 0.5s ease;
        -ms-transition: 0.5s ease;
        transition: 0.5s ease;
    }

*:focus{outline:none;}
::-webkit-input-placeholder {
    color: #929999;
}

:-moz-placeholder { /* Firefox 18- */
    color: #929999;
}

::-moz-placeholder { /* Firefox 19+ */
    color: #929999;
}

:-ms-input-placeholder {
    color: #929999;
}

h1 {
    color: #333;
    font-size: 13px;
    padding: 12px 5px;
}

#note {
    color: #88887a;
    font-size: 0.8em;
    text-align: left;
    padding-left: 5px;
}

#profilepic {
    text-align: center;
    float: left;
    padding: 35px 10px 20px 10px;
    width: 170px;
    height: 135px;
    border-radius: 3px;
    box-shadow: 0px 0px 3px 3px rgba(0, 0, 0, .3);
    margin-right: 7px;
    -webkit-transition: 0.5s ease;
    -moz-transition: 0.5s ease;
    -o-transition: 0.5s ease;
    -ms-transition: 0.5s ease;
    transition: 0.5s ease;
    background-image: url('../images/user-icon.png');
    background-size: contain;
}

a#changePasswordLink {
    color: #88887a;
    text-decoration: none;
    -webkit-transition: 0.5s ease;
    -moz-transition: 0.5s ease;
    -o-transition: 0.5s ease;
    -ms-transition: 0.5s ease;
    transition: 0.5s ease;
}

    a#changePasswordLink:hover {
        color: #333;
        margin-left: 5px;
        -webkit-transition: 0.5s ease;
        -moz-transition: 0.5s ease;
        -o-transition: 0.5s ease;
        -ms-transition: 0.5s ease;
        transition: 0.5s ease;
    }    

#mainlogin {
    float: left;
    width: 260px;
    min-height: 170px;
    padding: 10px 15px;
    position: relative;
    border-radius: 3px;
}

#logo {
    background-image: url('/Content/Images/hussman_krack_logo_login.png');
    height: 54px;
    width: 470px;
    margin: 4px auto;
}

.welcome {
    margin: 12px auto 0px auto;
    text-align: center;
    font-size: 1.25em;
    font-weight: bold;
    color: #222526;
    padding-right: 10px;
}

.tagline {
    text-align: center;
    font-size: .9em;
    color: #777;
    padding-right: 10px;
    margin: 4px auto 8px auto;
}

.footer {
    clear: both;
    text-align: center;
    margin-top: 20px;
    padding-top: 20px;
    font-size: .8em;
    color: #444748;
}

.validation-summary-errors{
    font-size:12px;
    color: #d9534f;
    font-weight:500;
}
    .validation-summary-errors ul {
        list-style-type:none;
        margin:0 0 5px 5px;
        padding:0;
    }

.toast-title, .toast-message {
    font-family: 'Segoe UI', Segoe, Tahoma, Helvetica, Arial, sans-serif;
    font-size: 14px;
}

.clearfix:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}
.clearfix {
    display: inline-block;
}
/* start commented backslash hack \*/
* html .clearfix {
    height: 1%;
}
.clearfix {
    display: block;
}
/* close commented backslash hack */


@media only screen and (min-width: 768px) {
    #securityeditform .form-horizontal .control-label {
        text-align:left!important; 
    }
}

@media (max-width: 639px) {
    body.security {
        overflow: auto;
        width:360px;
    }
    .security #logo,
    .security .welcome,
    .security .tagline {
        margin:0 auto 0 -15px;
    }
    .security .tagline {
        width:initial;
        margin-left:0px;
    }
    .form-horizontal .control-label {
        text-align:left!important;
    }
}

/* Login Page styles for xtra small devices */
@media only screen and (max-width : 580px) {
    #loginform {
        max-width: 290px;
        min-height: 190px;
        margin: 20px auto;
        box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.3);
        background-color: #f7f7f7;
    }

    #mainlogin {
        float: left;
        min-height: 170px;
        padding: 10px 15px;
        position: relative;
        border-radius: 3px;
    }

    #profilepic {
        display: none;
    }
}